CVE-2004-2270
CVSS7.2
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:40
NMCO    

[原文]Unknown vulnerability in IBM Parallel Environment (PE) 3.2 and 4.1 allows attackers to execute arbitrary commands as root via unknown vectors in the sample code.


[CNNVD]IBM Parallel Environment网络表API示例代码未明命令执行漏洞(CNNVD-200412-674)

        
        IBM Parallel Environment for AIX是为分布式内存和消息传递应用提供了一个多功能的开发和运行环境。
        IBM Parallel Environment包含的怎样使用网络表API代码存在安全问题,远程攻击者可以利用这个漏洞以root用户权限执行任意命令。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ibm:parallel_environment:4.1IBM Parallel Environment 4.1
cpe:/a:ibm:parallel_environment:3.2IBM Parallel Environment 3.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2270
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2270
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-674
(官方数据源) CNNVD

- 其它链接及资源

https://techsupport.services.ibm.com/server/pseries.subscriptionSvcs?mode=18&ID=312
(VENDOR_ADVISORY)  CONFIRM  https://techsupport.services.ibm.com/server/pseries.subscriptionSvcs?mode=18&ID=312
http://xforce.iss.net/xforce/xfdb/16093
(PATCH)  XF  ibm-pe-gain-privileges(16093)
http://www.securityfocus.com/bid/10310
(PATCH)  BID  10310
http://securitytracker.com/id?1010109
(PATCH)  SECTRACK  1010109
http://secunia.com/advisories/11580
(VENDOR_ADVISORY)  SECUNIA  11580
http://www.osvdb.org/6008
(UNKNOWN)  OSVDB  6008

- 漏洞信息

IBM Parallel Environment网络表API示例代码未明命令执行漏洞
高危 未知
2004-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        IBM Parallel Environment for AIX是为分布式内存和消息传递应用提供了一个多功能的开发和运行环境。
        IBM Parallel Environment包含的怎样使用网络表API代码存在安全问题,远程攻击者可以利用这个漏洞以root用户权限执行任意命令。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        IBM
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        IBM Parallel Environment 3.2:
        IBM APAR IY56382
        
        http://www-912.ibm.com/eserver/support/fixes/fcgui.jsp

        IBM Parallel Environment 4.1:
        IBM APAR IY56383
        
        http://www-912.ibm.com/eserver/support/fixes/fcgui.jsp

- 漏洞信息

6008
IBM Parallel Environment Arbitrary Code Execution
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Parallel Environment contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The problem is that some sample code used to demonstrate features of the Network Table and Switch Table APIs contains a flaw, which could allow a malicious user to execute arbitrary code, resulting in a loss of integrity. No further details have been provided.

- 时间线

2004-04-22 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, IBM has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站